PLATFORM_DEVICE_ALLO(9)

NAME
platform_device_alloc - create a platform device

SYNOPSIS

struct platform_device * platform_device_alloc(const char * name, int id);

ARGUMENTS

name
    base name of the device we're adding

id
    instance id

DESCRIPTION

Create a platform device object which can have other objects attached to it, and which will have attached objects freed when it is released.

COPYRIGHT